<div class="fieldset-legend">
	<div class="row margin-row">
		<div class="col-md-12">
			<div class="pull-right">
				<button type="button" class="btn btn-primary"><span>Upload</span></button>
			</div>
		</div>
	</div>
	<p-dataTable
		[value]="vehicleDocumentRequirements"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="idRequirement"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)">
		<p-header>
			<div>

			</div>
		</p-header>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. Pengajuan">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.requirementNumber}} -->
			</ng-template>
		</p-column>
		<p-column header="Tgl Pengajuan">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.description}} -->
			</ng-template>
		</p-column>
		<p-column header="No. IVU">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="No. Rangka">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="No. Mesin">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="No. VSO">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="Nama STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="Note">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.description}} -->
			</ng-template>
		</p-column>
		<p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<a [routerLink]="['../isi-nama/detail/'+ rowData.idRequirement]">Detail</a>
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>
</div>